/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package Metier;

/**
 *
 * @author emile.lalorcey
 */
public class Medicament {
    /**
     * id = le numero du médicament
     * nom = le nom du médicament
     * composition = la composition du médicament
     * effet = les effet du médicament
     * contreindication = les contreindications du médicament
     * prix = le prix en unité du médicament
     */
    private String id;
    private String nom;
    private String composition;
    private String effet;
    private String contreindication;
    private String img;

    
    /** LE CONSTRUCTEUR DEFAULT
     * 
     * @param id
     * @param nom
     * @param composition
     * @param effet
     * @param contreindication
     */
    public Medicament(String id, String nom, String composition, String effet, String contreindication, String img) {
        this.id = id;
        this.nom = nom;
        this.composition = composition;
        this.effet = effet;
        this.contreindication = contreindication;
        this.img = img;
    }
    
    
    
    /** LES GUETTEUR
     * @return the id
     */
    public String getId(){
        return id;
    }

    /**
     * @return the nom
     */
    public String getNom() {
        return nom;
    }

    /**
     * @return the composition
     */
    public String getComposition() {
        return composition;
    }

    /**
     * @return the effet
     */
    public String getEffet() {
        return effet;
    }

    /**
     * @return the contreindication
     */
    public String getContreindication() {
        return contreindication;
    }

    public String getImg() {
        return img;
    }
    
    @Override
    public String toString() {
        return "Medicament{" + "id=" + id + ", nom=" + nom + ", composition=" + composition + ", effet=" + effet + ", contreindication=" + contreindication + ",img=" + img + '}';
    }
 
}


